<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_BookingPrice StructType
 * @subpackage Structs
 */
class JP_BookingPrice extends AbstractStructBase
{
    /**
     * The PriceRange
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PriceRange
     */
    public $PriceRange;
    /**
     * Constructor method for JP_BookingPrice
     * @uses JP_BookingPrice::setPriceRange()
     * @param \StructType\JP_PriceRange $priceRange
     */
    public function __construct(\StructType\JP_PriceRange $priceRange = null)
    {
        $this
            ->setPriceRange($priceRange);
    }
    /**
     * Get PriceRange value
     * @return \StructType\JP_PriceRange|null
     */
    public function getPriceRange()
    {
        return $this->PriceRange;
    }
    /**
     * Set PriceRange value
     * @param \StructType\JP_PriceRange $priceRange
     * @return \StructType\JP_BookingPrice
     */
    public function setPriceRange(\StructType\JP_PriceRange $priceRange = null)
    {
        $this->PriceRange = $priceRange;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_BookingPrice
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
